describe("Our app", () => {
  beforeEach(() => {
    cy.intercept(
      { pathname: "/api/getTopicList" },
      {
        fixture: "topics",
      }
    ).as("getTopicList");

    cy.intercept(
      { pathname: "/api/getTopic" },
      {
        fixture: "article",
      }
    ).as("getTopic");

    cy.viewport("iphone-x");
    cy.visit("/");
  });

  it("shows the home page", () => {
    cy.visit("/");
    cy.contains("Bienvenidos");
  });

  it("shows a video in the home page", () => {
    cy.visit("/");
    cy.get("iframe").should("be.visible");
  });
});
