import {
  IonBackButton,
  IonButtons,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
} from "@ionic/react";
import ButtonComponent from "../../components/ButtonComponent";

const EducacionPage: React.FC = () => {
  let body =
    "Es de mi interés ponerme en contacto con ustedes para poder coordinar el uso de su servicio de Educación. También me gustaría saber donde están actualmente ubicados.";
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonButtons slot="start">
            <IonBackButton />
          </IonButtons>
          <IonTitle>Servicios</IonTitle>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Crecemos</IonCardTitle>
            <IonCardSubtitle></IonCardSubtitle>
          </IonCardHeader>

          <IonCardContent>
            En  Renacer Social le brindamos el apoyo necesario a los padres y
            las familias para que puedan realizar el mejor trabajo posible en la
            crianza de sus hijos. Al aprender nueva información, destrezas y
            habilidades, los padres pueden ayudar a sus hijos a alcanzar su
            potencial en la vida y aportar positiva y asertivamente en la
            familia y en la sociedad. 
          </IonCardContent>
        </IonCard>
        <ButtonComponent body={body}></ButtonComponent>
      </IonContent>
    </IonPage>
  );
};

export default EducacionPage;
