import {
  IonBackButton,
  IonButtons,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
} from "@ionic/react";
import { RouteComponentProps } from "react-router";

const InfoPage: React.FC = () => {
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonButtons slot="start">
            <IonBackButton />
          </IonButtons>
          <IonTitle>Servicios</IonTitle>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Misiones dentro de Renacer Socail</IonCardTitle>
          </IonCardHeader>

          <IonCardSubtitle>Es Responsabiidad de Todos</IonCardSubtitle>

          <IonCardContent>
            Únase a nuestra campaña, denunciemos el maltrato de menores.
            Nuestros niños y niñas son responsabilidad de Todos. 
          </IonCardContent>

          <IonCardSubtitle>Nuestro equipos</IonCardSubtitle>
          <IonCardContent>
            En Renacer Social  creemos que el tiempo de familia es  importante y
            necesario. Por esta razón ofrecemos áreas para relaciones filiales
            supervisadas en un ambiente familiar y seguro. Contamos con
            trabajadores sociales forenses, terapistas , educadores y
            profesionales en el área de psicología. . 
          </IonCardContent>

          <IonCardSubtitle>Nuestra Misión</IonCardSubtitle>
          <IonCardContent>
             Nuestra misión principal es ofrecer servicios de calidad a todos
            los miembros de la familia en un entorno hogareño y seguro.
            Ofrecemos un ambiente que promueve un estado emocional saludable
            para la familia.
          </IonCardContent>

          <IonCardSubtitle>Nuestra Visión</IonCardSubtitle>
          <IonCardContent>
             Nuestra visión  es tener una sociedad emocionalmente estable al
            apoyar a la niñez y sus familias en sus relaciones familiares.
            Contribuir a una mejor sociedad es nuestro Norte. 
          </IonCardContent>
        </IonCard>
      </IonContent>
    </IonPage>
  );
};

export default InfoPage;
