import {
  IonBackButton,
  IonButtons,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
} from "@ionic/react";
import ButtonComponent from "../../components/ButtonComponent";

const LazosPage: React.FC = () => {
  let body =
  "Es de mi interés ponerme en contacto con ustedes para poder coordinar el uso de su servicio de Lazos. También me gustaría saber donde están actualmente ubicados.";
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonButtons slot="start">
            <IonBackButton />
          </IonButtons>
          <IonTitle>Servicios</IonTitle>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Proyecto de Lazos</IonCardTitle>
            <IonCardSubtitle></IonCardSubtitle>
          </IonCardHeader>

          <IonCardContent>
            El proyecto Lazos es un programa de prevención e intervención de
            violencia doméstica. Incluye un grupo de apoyo ofrecido a víctimas
            de violencia doméstica y sus familias. En el mismo se ofrecen
            talleres educativos y actividades de crecimiento personal. Puede ser
            parte del mismo como participante o como voluntario. Envíe un
            mensaje en la sección de contactos o llame a nuestras oficinas para
            más información. 
          </IonCardContent>
        </IonCard>
        <ButtonComponent body={body}></ButtonComponent>
      </IonContent>
    </IonPage>
  );
};

export default LazosPage;
