import {
  IonBackButton,
  IonButtons,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
} from "@ionic/react";
import ButtonComponent from "../../components/ButtonComponent";

const SupervisadasPage: React.FC = () => {
  let body =
  "Es de mi interés ponerme en contacto con ustedes para poder coordinar el uso de su servicio de Visitas Supervisadas. También me gustaría saber donde están actualmente ubicados.";
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonButtons slot="start">
            <IonBackButton />
          </IonButtons>
          <IonTitle>Servicios</IonTitle>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Visitas Supervisadas</IonCardTitle>
            <IonCardSubtitle></IonCardSubtitle>
          </IonCardHeader>

          <IonCardContent>
            En Renacer Social, las Visitas Supervisadas se dan en un entorno
            hogareño, emocionalmente saludable y seguro para todos los miembros
            envueltos. 
          </IonCardContent>
        </IonCard>
        <ButtonComponent body={body}></ButtonComponent>
      </IonContent>
    </IonPage>
  );
};

export default SupervisadasPage;
